UnsafeBatchTransactionParams
@iota/iota-sdk / client / UnsafeBatchTransactionParams
Interface: UnsafeBatchTransactionParams
Defined in: sdk/typescript/src/client/types/params.ts:501
Create an unsigned batched transaction.
Properties
gas?
optionalgas?:string|null
Defined in: sdk/typescript/src/client/types/params.ts:510
gas object to be used in this transaction, node will pick one from the signer's possession if not provided
gasBudget
gasBudget:
string
Defined in: sdk/typescript/src/client/types/params.ts:512
the gas budget, the transaction will fail if the gas cost exceed the budget
signal?
optionalsignal?:AbortSignal
Defined in: sdk/typescript/src/client/types/params.ts:515
signer
signer:
string
Defined in: sdk/typescript/src/client/types/params.ts:503
the transaction signer's IOTA address
singleTransactionParams
singleTransactionParams:
RPCTransactionRequestParams[]
Defined in: sdk/typescript/src/client/types/params.ts:505
list of transaction request parameters
txnBuilderMode?
optionaltxnBuilderMode?:IotaTransactionBlockBuilderMode|null
Defined in: sdk/typescript/src/client/types/params.ts:514
Whether this is a regular transaction or a Dev Inspect Transaction